package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComBatch;
import com.yiboshi.science.param.dto.ComBatchDTO;
import com.yiboshi.science.param.query.ComBatchQueryVO;

import java.util.List;

/**
 *批次表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComBatchService extends BaseService<ComBatchQueryVO, ComBatchDTO, ComBatch>{

    List<ComBatchDTO> getBatchList(ComBatch entity);

    /**
     * 添加批次
     *
     * @param
     */
    String addBatch(ComBatchDTO dto);
    /**
     * 修改批次
     *
     * @param
     */
    String updateBatch(ComBatchDTO dto);
    /**
     * 删除批次
     *
     * @param
     */
    String deleteBatch(String id);
    /**
     * 获取年度最大批次
     *
     * @param year
     */
    Integer getMaxBatch(int year,Integer projType);
    /**
     * 根据Id获取批次
     *
     * @param id
     */
    ComBatchDTO getBatchById(String id);
    /**
     * 获取当前申报批次
     *
     * @param type
     * @param projType
     */
    ComBatchDTO getCurrentYearBatch(int type,Integer projType);
    /**
     * 获取当前申报批次
     *
     * @param projType
     */
    ComBatchDTO getCurrentYearBatchByType(Integer projType);
    /**
     * 获取当前申报年度
     *
     * @param projType
     */
    Integer getReportYear(Integer projType);
}